Recent

Author Topic: Editing laz_synapse.lpk for ssl_openssl  (Read 567 times)

del

  • Full Member
  • ***
  • Posts: 185
Editing laz_synapse.lpk for ssl_openssl
« on: November 29, 2019, 06:50:07 am »
Hey gang. On Linux. Whenever I install Synapse40.1 it always seems to "ignore" the presence of ssl_openssl.pas in the package. So I get compile errors in internettools when it looks for the ssl_openssl unit. Soo ...

I edited  laz_synapse.lpk like so:

Code: Pascal  [Select][+][-]
  1. Change the Files Count from 33 to 34:
  2.  
  3.     <Description Value="Ararat Synapse: network communications suite"/>
  4.     <Version Major="40" Minor="1"/>
  5.     <Files Count="34">
  6.  
  7. Add these lines:
  8.  
  9.       <Item34>
  10.         <Filename Value="ssl_openssl.pas"/>
  11.         <UnitName Value="ssl_openssl"/>
  12.       </Item34>
  13.  

And everything compiles fine. Is this how you're supposed to do it?

avra

  • Hero Member
  • *****
  • Posts: 1930
    • Additional info
ct2laz - Conversion between Lazarus and CodeTyphon
bithelpers - Bit manipulation for standard types
pasettimino - Siemens S7 PLC lib

del

  • Full Member
  • ***
  • Posts: 185
Re: Editing laz_synapse.lpk for ssl_openssl
« Reply #2 on: November 30, 2019, 02:26:25 am »
I don't remember those two files ever being missing from the package. I do remember the package being unaware of their presence. I've used various workarounds - but editing the .lpk file is the most attractive workaround I've found so far. The package came from the Online Package Manager. Is there any reason that the .lpk file "ignores" ssl_openssl.pas and ssl_openssl_lib.pas?

 

TinyPortal © 2005-2018